Автор Тема: работает ли fglrx и xorg сервер 1.5 ?  (Прочитано 5707 раз)

Оффлайн dimania

  • Давно тут
  • **
  • Сообщений: 35
  • dimania
Имеем:
Текущий сизифус
xorg-server  2:1.5.3-alt13
kernel-modules-fglrx-std-ll#1.0.8.53.2-alt2.132635.11
fglrx-tools   8.53.2-alt2                 -
fglrx_glx      8.53.2-alt2



Xorg.0.log:

(II) Loading /usr/lib/X11/modules/drivers//fglrx_drv.so
dlopen: /usr/lib/X11/modules/drivers//fglrx_drv.so: undefined symbol: miZeroLineScreenIndex
(EE) Failed to load /usr/lib/X11/modules/drivers//fglrx_drv.so
(II) UnloadModule: "fglrx"
(EE) Failed to load module "fglrx" (loader failed, 7)
(II) LoadModule: "mouse"

У кого-нибудь работает?

Оффлайн sorex

  • Глобальный модератор
  • *****
  • Сообщений: 32
    • www.linuxrsp.ru
Re: работает ли fglrx и xorg сервер 1.5 ?
« Ответ #1 : 14.02.2009 23:50:50 »
По идее текущий fglrx и xorg server > 1.4.x  не работают вместе :(

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 559
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: работает ли fglrx и xorg сервер 1.5 ?
« Ответ #2 : 14.02.2009 23:59:27 »
Вроде-бы должны работать
Automated installer and Display Drivers for X.Org 6.7, 6.8, 6.9, 7.0, 7.1, 7.2, 7.3, or 7.4

$ rpm -qa xorg
xorg-7.4.0-alt5

Оффлайн sorex

  • Глобальный модератор
  • *****
  • Сообщений: 32
    • www.linuxrsp.ru
Re: работает ли fglrx и xorg сервер 1.5 ?
« Ответ #3 : 15.02.2009 22:51:28 »
...текущий xorg в альте (как мне объяснили), попробую ещё сам посмотреть

Оффлайн dimania

  • Давно тут
  • **
  • Сообщений: 35
  • dimania
Re: работает ли fglrx и xorg сервер 1.5 ?
« Ответ #4 : 24.02.2009 14:30:55 »
И что видно?  :)

Оффлайн sorex

  • Глобальный модератор
  • *****
  • Сообщений: 32
    • www.linuxrsp.ru
Re: работает ли fglrx и xorg сервер 1.5 ?
« Ответ #5 : 13.03.2009 00:02:35 »
И что видно?  :)
Можно попробовать потестировать - залиты последние версии драйверов (catalyst 9.2)

Оффлайн dimania

  • Давно тут
  • **
  • Сообщений: 35
  • dimania
Re: работает ли fglrx и xorg сервер 1.5 ?
« Ответ #6 : 22.03.2009 20:02:41 »
Итак:

Сейчас имеем:

apt> ls -v xorg-server*
Name                 Installed     Candidate
----                 ---------     ---------
xorg-server          2:1.6.0-alt2  -
xorg-server-common   2:1.6.0-alt2  -

ls -v *fglrx*
Name                                                     Installed                   Candidate
----                                                     ---------                   ---------
fglrx-tools                                              8.58.2-alt3                 -
fglrx_glx                                                8.58.2-alt3                 -
kernel-modules-fglrx-std-ll#1.0.8.58.2-alt1.132635.13    1.0.8.58.2-alt1.132635.13   -

Xserver log:
(II) LoadModule: "glx"
(II) Loading /usr/lib/X11/modules/extensions/libglx.so
dlopen: /usr/lib/X11/modules/extensions/libglx.so: undefined symbol: miInitVisualsProc
(EE) Failed to load /usr/lib/X11/modules/extensions/libglx.so
(II) UnloadModule: "glx"
(EE) Failed to load module "glx" (loader failed, 7)

(II) LoadModule: "fglrx"
(II) Loading /usr/lib/X11/modules/drivers/fglrx_drv.so
(II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
compiled for 1.4.99.906, module version = 8.58.2
Module class: X.Org Video Driver
[atiddxSetup] X version mismatch - detected X.org 7.1.0.0, required X.org 7.4.-1.906
(II) UnloadModule: "fglrx"
(II) Unloading /usr/lib/X11/modules/drivers/fglrx_drv.so
(EE) Failed to load module "fglrx" (module requirement mismatch, 0)


Вот такие вот дела.... :(







Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 559
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: работает ли fglrx и xorg сервер 1.5 ?
« Ответ #7 : 22.03.2009 20:18:14 »
Что-то у вас не так - сейчас в Branch 5.0 xorg-7.4.0, а у вас стоит 7.1.0

Оффлайн dimania

  • Давно тут
  • **
  • Сообщений: 35
  • dimania
Re: работает ли fglrx и xorg сервер 1.5 ?
« Ответ #8 : 23.03.2009 14:22:11 »
А причем здесь Branch ?
Речь идет о текущем сизифусе.
В котором:
ls -v xorg-server
Name         Installed     Candidate
----         ---------     ---------
xorg-server  2:1.6.0-alt2  -

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 559
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: работает ли fglrx и xorg сервер 1.5 ?
« Ответ #9 : 23.03.2009 17:11:15 »
В текущем Сизифе xorg-7.4.0

Оффлайн dimania

  • Давно тут
  • **
  • Сообщений: 35
  • dimania
Re: работает ли fglrx и xorg сервер 1.5 ?
« Ответ #10 : 23.03.2009 20:09:15 »
Тогда что это такое?

http://www.sisyphus.ru/find.shtml?request=xorg-server

 :)

Xorg.0.log:
X.Org X Server 1.6.0
Release Date: 2009-2-25
X Protocol Version 11, Revision 0
Build Operating System: ALT Linux 5.0 OfficeServer (none) i686
Current Operating System: Linux dimantb.kbr.cbr.ru 2.6.27-std-ll-alt13 #1 SMP PREEMPT Wed Mar 4 21:49:40 UTC 2009 i686
Build Date: 03 March 2009  07:38:18PM

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 559
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
« Последнее редактирование: 23.03.2009 21:32:30 от ruslandh »

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 559
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: работает ли fglrx и xorg сервер 1.5 ?
« Ответ #12 : 23.03.2009 21:37:40 »
http://www.sisyphus.ru/srpm/Sisyphus/xorg-server
версия xorg-server не связана с версией xorg

%define mesaversion 7.4
%define xorgversion 7.4.3

Оффлайн dimania

  • Давно тут
  • **
  • Сообщений: 35
  • dimania
Re: работает ли fglrx и xorg сервер 1.5 ?
« Ответ #13 : 24.03.2009 17:55:28 »
Так он и стоит.

ls -v xorg
Name  Installed   Candidate
----  ---------   ---------
xorg  7.4.0-alt6  -

речь вообще о fglrx. Который не работает.  :(

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 559
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: работает ли fglrx и xorg сервер 1.5 ?
« Ответ #14 : 24.03.2009 18:12:49 »
Если не работает - вешайте багу.

У вас какой-то странный способ смотреть установленные пакеты.
Правильно rpm -qa | grep ИМЯ_ПАКЕТА